<?php
/**********************************************************************************
* RIAST.subs.php is subs for RIAST @ Remove "- Index" From Browser And Smart Title mod
***********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE, 
**********************************************************************************/
if (!defined('SMF')) 
	die('Hacking attempt...');

/**********************************************************************************
* The hook for RIAST @ Remove "- Index" From Browser And Smart Title mod
**********************************************************************************/

function RIAST_Titles(&$buffer)
{
	global $modSettings, $context, $txt;
	
	// Load the RIAST language
	loadLanguage('RIAST');
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	
	$riast = array();

	// Description
	if (!empty($modSettings['riast_enable'])) {
		// Define the old and the new title
		$title_old = '<title>' . $context['page_title_html_safe'] . '</title>';
		$title_new = '<title>' . (empty($context['page_title_html_safe']) ? $context['forum_name'] : $context['forum_name']. ' - ' . $context['page_title_html_safe']) . '</title>';
		$riast[$title_old] = $title_new;
	}
	// Now let's change the title, if we're allowed to
	return str_replace(array_keys($riast), array_values($riast), $buffer);
}

function RIAST_Texts()
{
	global $txt;

	// Load the RIAST language
	loadLanguage('RIAST');
}

function RIAST_Settings(&$config_vars)
{
	global $txt;
	
	// Load the RIAST language
	loadLanguage('RIAST');

	$riast = array(
			// Add RIAST Settings
			'',
			array('check', 'riast_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $riast);
}
?>